#!/bin/bash

APP_NAME="meti-frontend"
PORT="3000"

echo "🔄 Pulling latest code..."
git pull

echo "🐳 Building Docker image..."
docker build -t $APP_NAME .

echo "🛑 Stopping and removing old container..."
docker stop $APP_NAME 2>/dev/null
docker rm $APP_NAME 2>/dev/null

echo "🚀 Running new container..."
docker run -d --name $APP_NAME \
  -p 4002:$PORT \
  $APP_NAME:latest

echo "✅ Deployment complete."
